echo off

REM
REM Check for Destination Drive Parameter %1 , If missing goto Error.
REM

IF %1xY == xY GOTO Error

REM
REM Create Subdirectories.
REM Parameter %1 = Destination Drive.
REM

md %1\maxidemo
cd %1\maxidemo

REM
REM Spot check for files, if a file is missing goto ErrorMes.
REM

copy readme.txt %1\maxidemo\readme.txt
if not exist %1\maxidemo\readme.txt GOTO ErrorMes

md %1\maxidemo\show
cd %1\maxidemo\show

REM 
REM Unpack files and move files to the correct subdirectories.
REM

maxidemo/o %1\maxidemo\show\

REM
REM Spot check for files, if a file is missing goto ErrorMes.
REM

if not exist %1\maxidemo\show\showpart.slb goto ErrorMes
if not exist %1\maxidemo\show\fxshow.exe   goto ErrorMes
if not exist %1\maxidemo\show\readme.txt   goto ErrorMes

copy %1\maxidemo\show\*.bat %1\maxidemo\*.*
del  %1\maxidemo\show\*.bat
copy %1\maxidemo\show\*.txt %1\maxidemo\*.*
del  %1\maxidemo\show\*.txt

REM
REM Move to the correct Drive and subdirectory.
REM

%1
cd \maxidemo

REM
REM Everything seems ok, run CADSTAR Demo.
REM

echo OFF
cls
type pre.txt
pause
cd SHOW
vgaonly
fxshow MAIN -160 -n -ccright.GX2
cd ..
echo Off

cls
type post.txt

GOTO Finish

:errormes
:error

REM
REM An error has been detected, display readme.txt and quit.
REM


ECHO "*************************************************************************"
ECHO "***   Change to drive containing the Demo Disk by typing  A:  or  B:  ***"
ECHO "***   Then type INSTALL C:  or INSTALL D: to put the Demo on your     ***"
ECHO "***   hard disk.          ( See README.TXT on demo diskette.)         ***"
ECHO "*************************************************************************"
PAUSE

cd ..
type readme.txt

:Finish
